function [aheave] = Bergsoy_con_heave_element
%
%
%Connectivity matrices for pontoon element DOF's in heave
%

ndofz = 4;
ndofG = 360;
Nel = 28;


aheave = zeros(ndofz,ndofG,Nel);


    
    
for p = 1:ndofz;


aheave(p,27 + 3*(p-1),1) = 1;
aheave(p,33 + 3*(p-1),2) = 1;
aheave(p,39 + 3*(p-1),3) = 1;
aheave(p,45 + 3*(p-1),4) = 1;

aheave(p,75 + 3*(p-1),5) = 1;
aheave(p,81 + 3*(p-1),6) = 1;
aheave(p,87 + 3*(p-1),7) = 1;
aheave(p,93 + 3*(p-1),8) = 1;

aheave(p,123 + 3*(p-1),9) = 1;
aheave(p,129 + 3*(p-1),10) = 1;
aheave(p,135 + 3*(p-1),11) = 1;
aheave(p,141 + 3*(p-1),12) = 1;

aheave(p,171 + 3*(p-1),13) = 1;
aheave(p,177 + 3*(p-1),14) = 1;
aheave(p,183 + 3*(p-1),15) = 1;
aheave(p,189 + 3*(p-1),16) = 1;

aheave(p,219 + 3*(p-1),17) = 1;
aheave(p,225 + 3*(p-1),18) = 1;
aheave(p,231 + 3*(p-1),19) = 1;
aheave(p,237 + 3*(p-1),20) = 1;

aheave(p,267 + 3*(p-1),21) = 1;
aheave(p,273 + 3*(p-1),22) = 1;
aheave(p,279 + 3*(p-1),23) = 1;
aheave(p,285 + 3*(p-1),24) = 1;

aheave(p,315 + 3*(p-1),25) = 1;
aheave(p,321 + 3*(p-1),26) = 1;
aheave(p,327 + 3*(p-1),27) = 1;
aheave(p,333 + 3*(p-1),28) = 1;

end


end




